/**
 * @author diverKon <diverKon@gmail.com>
 * @license http://www.opensource.org/licenses/bsd-license.php
 */
package jp.ne.sakura.kkkon.yamahart;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

/**
 *
 */
public class UtilStream
{

    public static void readStream( final InputStream inStream, final OutputStream outStream )
    {
        if ( null == inStream || null == outStream )
        {
            throw new IllegalArgumentException();
        }

        byte[] buff = new byte[4096];
        int readed = 0;
        int available = 0;
        for ( int nocomm = 0; nocomm < 3; )
        {
            try
            {
                available = inStream.available();
                if ( available <= 0 )
                {
                    if ( 3 < nocomm )
                    {
                    	break;
                    }
                    nocomm += 1;
                    try
                    {
                        Thread.sleep( 300 );
                    }
                    catch ( InterruptedException e )
                    {
                        //
                    }

                    continue;
                }
                else
                {
                    nocomm = 0;
                }

                readed = inStream.read( buff, 0, available );
                if ( readed <= 0 )
                {
                    break;
                }

                if ( 0 < readed )
                {
                    outStream.write( buff, 0, readed );
                }
            }
            catch ( IOException e )
            {
                e.printStackTrace( System.err );
            }

        }

        try
        {
            outStream.flush();
        }
        catch ( IOException e )
        {
            e.printStackTrace( System.err );
        }
    }

}
