/**
 * @author diverKon <diverKon@gmail.com>
 * @license http://www.opensource.org/licenses/bsd-license.php
 */
package jp.ne.sakura.kkkon.yamahart;

import static org.junit.Assert.*;
import jp.ne.sakura.kkkon.yamahart.Account;
import jp.ne.sakura.kkkon.yamahart.Telnet;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

/**
 *
 */
public class TelnetTest {

	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
		LoggerFactory.setLogger( new TestLogger() );
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
	}

	/**
	 * Test method for {@link jp.ne.sakura.kkkon.yamahart.Telnet#getConfigList(jp.ne.sakura.kkkon.yamahart.Account)}.
	 */
	//@Test
	public void testGetConfigList() {
		Telnet instance = new Telnet();
		Account account = new Account();
		account.loadFromProperties( Account.DEFAULT_FILENAME );
		instance.getConfigList( account );
	}

	/**
	 * Test method for {@link jp.ne.sakura.kkkon.yamahart.Telnet#getConfigList(jp.ne.sakura.kkkon.yamahart.Account,java.lang.String)}.
	 */
	@Test
	public void testSetConfigList() {
		Telnet instance = new Telnet();
		Account account = new Account();
		account.loadFromProperties( Account.DEFAULT_FILENAME );
		instance.setDefaultConfig( account, "0" );
	}

}
